1) Structured programming is basis for OOP, and first of all programmers should study structured programming.
2) analyze projects, creating design models, structure object interfaces,
3) information(questions-answers)
4) turn on off radio, increase/decrease the volume, change the chanel.
